Subject: Re: what did I miss? #!.... doesn't work in bash
From: [email-masked] (Jim Balter)

1 Nov 1996 17:58:06 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Graham Whaley)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Graham Whaley" at Nov 1, 96 04:25:00 pm
X-Mailer: ELM [version 2.4 PL23]
Content-Length: 700       
Original-Sender: [email-masked]

Graham Whaley wrote:
> 
> 
>   Err, I thought that the decoding of a '#!' line had moved into the kernel 
> on *IX, and was not a bash/shell/user level thing?.  You'll have to excuse 
> me if I'm wrong, I've not really delved into ther kernel for a number of 
> years.

Correct.  (Although you will still find #! handling code in the shells.)

>   If this were the case though then I guess it's down to the cygwin.dll exec 
> functions to do the test and execute.

One would think so.

>   Just my thoughts (and I'd be interested if anybody has an AUTHORITATIVE 
> answer to this),

Well, I did do unix kernel development for 8 years, and added exec. #! handling
to a couple of kernels.
-- 
<J Q B>

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".